Bug 8033 - Fix domain authorization
: Fix domain authorization
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-10 06:31 MSD by Vladimir Potapov
Modified: 2017-07-22 18:18 MSD (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
vladimir.potapov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2017-06-10 06:31:05 MSD
В инструкции по вводу Кобальта в домен сказано, что нужно заменить в

/etc/pam.d/system-auth-winbind

session required pam_mkhomedir.so skel=/etc/skel/ umask=0022
на
session required pam_mkhomedir.so skel=/etc/skel/ umask=0077
в таком же файле во фреше так и сделано.

Однако в автогенерируемом файле, используемом для входа
/etc/pam.d/system-auth

Похоже, копируемом из
/etc/pam.d/system-auth-win-default
а не из
/etc/pam.d/system-auth-winbind

используется старый синтаксис
session optional pam_mkhomedir.so skel=/etc/skel/ umask=0022

Более того, в файлах
/etc/pam.d/system-auth-win-default
и
/etc/pam.d/system-auth.orig
применяется не только "старая" строчка
session optional pam_mkhomedir.so skel=/etc/skel/ umask=0022
Но и строка
password required pam_pwcheck.so
приводящая к ошибке в логах т.е. у нас нет этой библиотеки, а должно, видимо, использоваться
password required pam_cracklib.so retry=3

Решения может быть два:
1) поправить пакет drakxtools-curses
2) Научить drakauth копировать /etc/pam.d/system-auth
не из system-auth-win-default
а из system-auth-winbind
Comment 1 Vladimir Potapov 2017-06-10 06:32:15 MSD
https://abf.io/build_lists/2878404
https://abf.io/build_lists/2878405
Advisory: fix authorization bugs
Comment 3 Vladimir Potapov 2017-07-18 16:26:24 MSD
The update is sent to expanded testing
***************************************
Comment 4 Vladimir Potapov 2017-07-22 18:06:47 MSD
drakxtools-14.77-4
https://abf.io/build_lists/2882342
https://abf.io/build_lists/2882343
********************** Advisory **********************
fix authorization bugs
******************************************************
QA Verified